[proaudio] [PATCH] hydrogen-9999

[ Thread Index | Date Index | More lists.tuxfamily.org/proaudio Archives ]


hi, i tried to compile hydrogen-9999 and found two issues:
1) it requires x11-libs/qt-xmlpatterns to compile
2) even if cmake fails, the ebuild pretends everything is ok and merges
the package

attached patch should fix both issues.

miroslav
Index: media-sound/hydrogen/hydrogen-9999.ebuild
===================================================================
--- media-sound/hydrogen/hydrogen-9999.ebuild	(revision 2329)
+++ media-sound/hydrogen/hydrogen-9999.ebuild	(working copy)
@@ -26,6 +26,7 @@
 	media-libs/audiofile
 	dev-libs/libtar
 	media-libs/rubberband
+	x11-libs/qt-xmlpatterns
 	portaudio? ( >=media-libs/portaudio-18.1 )
 	portmidi? ( media-libs/portmidi )
 	alsa? ( media-libs/alsa-lib )
@@ -50,7 +51,7 @@
 		$(cmake-utils_use_want lrdf LRDF) \
 		$(cmake-utils_use_want portaudio PORTAUDIO) \
 		$(cmake-utils_use_want portmidi PORTMIDI) \
-		$(cmake-utils_use_want rubberband RUBBERBAND) ..
+		$(cmake-utils_use_want rubberband RUBBERBAND) .. || die "Compilation failed"
 }
 
 src_compile() {


Mail converted by MHonArc 2.6.19+ http://listengine.tuxfamily.org/